Categories:
  - Navigation
License: Apache-2.0
SourceCode: https://github.com/n76/Local-GSM-Backend
IssueTracker: https://github.com/n76/Local-GSM-Backend/issues
Changelog: https://github.com/n76/Local-GSM-Backend/blob/HEAD/CHANGELOG.md

Name: LocalGsmNlpBackend
AutoName: GSM Location Service
Summary: UnifiedNlp location provider (local GSM database)
Description: |-
    [[com.google.android.gms]] backend that uses local GSM data to resolve user
    location.

    A facility in the setting menu allows you to create a database using data from
    [http://opencellid.org OpenCellId] and/or [https://location.services.mozilla.com
    Mozilla Location Services] CSV files. Alternatively, the on-phone database can
    be generated in advance via the [https://github.com/n76/lacells-creator
    lacells-creator] scripts that gather tower information from those two sources,
    too.

    This backend performs no network data. All data acquired by the phone stays on
    the phone and no queries are made to a centralized AP location provider.

RepoType: git
Repo: https://github.com/n76/Local-GSM-Backend

Builds:
  - versionName: 0.5.4
    versionCode: 9
    commit: v0.5.4
    srclibs:
      - 1:UnifiedNlpApi@v1.0.1
    rm:
      - libs/UnifiedNlpApi.jar
    target: android-19

  - versionName: 0.5.6
    versionCode: 11
    commit: v0.5.6
    srclibs:
      - 1:UnifiedNlpApi@v1.0.1
    rm:
      - libs/UnifiedNlpApi.jar
    target: android-19

  - versionName: 0.5.8
    versionCode: 13
    commit: v0.5.8
    srclibs:
      - 1:UnifiedNlpApi@v1.0.1
    rm:
      - libs/UnifiedNlpApi.jar
    target: android-19

  - versionName: 0.5.10
    versionCode: 15
    commit: v0.5.10
    srclibs:
      - 1:UnifiedNlpApi@v1.0.1
    rm:
      - libs/UnifiedNlpApi.jar
    target: android-19

  - versionName: 0.5.11
    versionCode: 16
    commit: v0.5.11
    srclibs:
      - 1:UnifiedNlpApi@v1.0.1
    rm:
      - libs/UnifiedNlpApi.jar
    target: android-19

  - versionName: 0.6.0
    versionCode: 17
    commit: v0.6.0
    srclibs:
      - 1:UnifiedNlpApi@v1.0.1
    rm:
      - libs/UnifiedNlpApi.jar
    target: android-19

  - versionName: 0.6.1
    versionCode: 18
    commit: v0.6.1
    srclibs:
      - 1:UnifiedNlpApi@v1.0.1
    rm:
      - libs/UnifiedNlpApi.jar
    target: android-19

  - versionName: 0.6.4
    versionCode: 19
    commit: v0.6.4
    srclibs:
      - 1:UnifiedNlpApi@v1.0.1
    rm:
      - libs/UnifiedNlpApi.jar
    target: android-19

  - versionName: 0.7.0
    versionCode: 20
    commit: v0.7.0
    srclibs:
      - 1:UnifiedNlpApi@v1.0.1
    rm:
      - libs/UnifiedNlpApi.jar
    target: android-19

  - versionName: 0.8.0
    versionCode: 21
    disable: missing root project, see https://github.com/n76/Local-GSM-Backend/issues/22
    commit: v0.8.0
    subdir: app
    gradle:
      - yes

  - versionName: 0.8.1
    versionCode: 22
    commit: v0.8.1
    subdir: app
    gradle:
      - yes

  - versionName: 0.9.0
    versionCode: 23
    commit: v0.9.0
    subdir: app
    gradle:
      - yes

  - versionName: 0.9.1
    versionCode: 24
    commit: v0.9.1
    subdir: app
    gradle:
      - yes

  - versionName: 0.9.2
    versionCode: 25
    commit: v0.9.2
    subdir: app
    gradle:
      - yes

  - versionName: 0.9.3
    versionCode: 26
    commit: v0.9.3
    subdir: app
    gradle:
      - yes

  - versionName: 0.9.4
    versionCode: 27
    commit: v0.9.4
    subdir: app
    gradle:
      - yes

  - versionName: 1.0.0
    versionCode: 28
    commit: v1.0.0
    subdir: app
    gradle:
      - yes

  - versionName: 1.0.1
    versionCode: 29
    commit: v1.0.1
    subdir: app
    gradle:
      - yes

  - versionName: 1.0.3
    versionCode: 31
    commit: v1.0.3
    subdir: app
    gradle:
      - yes

  - versionName: 1.0.4
    versionCode: 32
    commit: v1.0.4
    subdir: app
    gradle:
      - yes

  - versionName: 1.0.5
    versionCode: 33
    commit: v1.0.5
    subdir: app
    gradle:
      - yes

  - versionName: 1.0.6
    versionCode: 34
    commit: v1.0.6
    subdir: app
    gradle:
      - yes

  - versionName: 1.0.7
    versionCode: 35
    commit: v1.0.7
    subdir: app
    gradle:
      - yes

  - versionName: 1.1.0
    versionCode: 36
    commit: v1.1.0
    subdir: app
    gradle:
      - yes

  - versionName: 1.2.0
    versionCode: 37
    commit: v1.2.0
    subdir: app
    gradle:
      - yes

  - versionName: 1.2.1
    versionCode: 38
    commit: v1.2.1
    subdir: app
    gradle:
      - yes

  - versionName: 1.3.0
    versionCode: 39
    commit: v1.3.0
    subdir: app
    gradle:
      - yes

  - versionName: 1.3.1
    versionCode: 40
    commit: v1.3.1
    subdir: app
    gradle:
      - yes

  - versionName: 1.3.2
    versionCode: 41
    commit: v1.3.2
    subdir: app
    gradle:
      - yes

  - versionName: 1.3.3
    versionCode: 42
    commit: v1.3.3
    subdir: app
    gradle:
      - yes

  - versionName: 1.3.4
    versionCode: 43
    commit: v1.3.4
    subdir: app
    gradle:
      - yes

  - versionName: 1.3.5
    versionCode: 44
    disable: fails to build with gradle 2.10
    commit: v1.3.5
    subdir: app
    gradle:
      - yes

  - versionName: 1.3.6
    versionCode: 45
    commit: v1.3.6
    subdir: app
    gradle:
      - yes

  - versionName: 1.3.7
    versionCode: 46
    commit: v1.3.7
    subdir: app
    gradle:
      - yes

  - versionName: 1.4.0
    versionCode: 47
    commit: v1.4.0
    subdir: app
    gradle:
      - yes

  - versionName: 1.4.1
    versionCode: 48
    commit: v1.4.1
    subdir: app
    gradle:
      - yes

  - versionName: 1.4.2
    versionCode: 49
    commit: v1.4.2
    subdir: app
    gradle:
      - yes

  - versionName: 1.4.3
    versionCode: 50
    commit: v1.4.3
    subdir: app
    gradle:
      - yes

  - versionName: 1.4.4
    versionCode: 51
    commit: v1.4.4
    subdir: app
    gradle:
      - yes

  - versionName: 1.4.5
    versionCode: 52
    commit: v1.4.5
    subdir: app
    gradle:
      - yes

  - versionName: 1.4.7
    versionCode: 54
    commit: v1.4.7
    subdir: app
    gradle:
      - yes

  - versionName: 1.4.9
    versionCode: 56
    commit: v1.4.9
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.4.14
    versionCode: 61
    commit: v1.4.14
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.4.15
    versionCode: 62
    disable: "Unexpected version/version code in output; APK: '1.4.14' / '61', Expected:\
        \ '1.4.15' / '62'"
    commit: v1.4.15
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.4.17
    versionCode: 63
    commit: v1.4.17
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.4.18
    versionCode: 64
    commit: v1.4.18
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.4.19
    versionCode: 65
    commit: v1.4.19
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.4.20
    versionCode: 66
    commit: v1.4.20
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.4.21
    versionCode: 67
    commit: v1.4.21
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

  - versionName: 1.4.22
    versionCode: 68
    commit: v1.4.22
    subdir: app
    gradle:
      - yes
    prebuild: sed -i -e '/mavenCentral/ajcenter()' build.gradle

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags
CurrentVersion: 1.4.22
CurrentVersionCode: 68
